httpd-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Pierre Joye <>
Subject Re: 2.4.3, build with vc11 (2012)
Date Sat, 26 Jan 2013 10:37:54 GMT

On Mon, Jan 21, 2013 at 11:07 AM, Pierre Joye <> wrote:
> hi!
> Has anyone tried to build 2.4.3 with vc11?
> Using either makefiles or dsp (converted), I got a rc.exe error,
> "invalid usage". The cmd line is:
> rc.exe /d "NDEBUG" /d "APP_FILE" /d "BIN_NAME="httpd.exe"" /d
> "LONG_NAME="Apache HTTP Server"" /d "ICON_FILE="apache.ico"" /d
> "_VC80_UPGRADE=0x0600" /l 0x409 /I "build\win32" /I "./include" /I
> "./srclib/apr/include" /fo".\Release/httpd.res"
> ".\build\win32\httpd.rc"
> However other rc calls produce the same error.

Replying to myself.

Builds fixed now but for ApacheMonitor (corrupted resources, as I do
not need it now, it will have to wait).

You can fetch VC11-x86 builds here (apache dir,
x86 and x64 contains pre built dependencies for PHP, most of them can
or are used for PHP builds).

Question: is there any interest to move to makefiles only builds?
These dsw (and conversion) brings all kind of issues and are not very
flexible. I was thinking about something like what I did for curl:

Alternatively porting the php build script (autoconf-like system,
implemented in javascript, using cscript), it is very flexible and
allows exact match to what is done using the unix autoconf configure




View raw message